g++ -O0 -S saxpy.c -o saxpy-O0.s
g++ -O3 -fno-tree-vectorize -S saxpy.c -o saxpy-O3.s 
g++ -O3 -funroll-loops -fno-tree-vectorize -S saxpy.c -o saxpy-O3-unrolled.s
g++ -O3 -funroll-loops -ftree-vectorize -S saxpy.c -o saxpy-O3-unrolled-vector.s
g++ -O3 -funroll-loops -ftree-vectorize -c -fopenmp saxpy.c -o saxpy-O3-unrolled-vector-openmp.o

g++ -static saxpy-O0.s main.c -o saxpy-O0
g++ -static saxpy-O3.s main.c -o saxpy-O3
g++ -static saxpy-O3-unrolled.s main.c -o saxpy-O3-unrolled
g++ -static saxpy-O3-unrolled-vector.s main.c -o saxpy-O3-unrolled-vector
g++ -static saxpy-O3-unrolled-vector-openmp.o main.c -o saxpy-O3-unrolled-vector-openmp -fopenmp
